Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QNPStream Class Reference

The QNPStream class provides a stream of data provided to a QNPInstance by the browser. More...

This class is part of the Qt Netscape Extension.

`#include <qnp.h>`

List of all member functions.

## Public Members

- ~QNPStream ()
- const char * url () const
- uint end () const
- uint lastModified () const
- const char * type () const
- bool seekable () const
- bool okay () const
- bool complete () const
- void requestRead ( int offset, uint length )
- int write ( int len, void * buffer )
- QNPInstance * instance ()
- QNPStream ( QNPInstance * in, const char * mt, _NPStream * st, bool se )

## Detailed Description

This class is defined in the Qt Netscape Extension, which can be found in the `qt/extensions` directory. It is not included in the main Qt API.

The QNPStream class provides a stream of data provided to a QNPInstance by the browser.

Note that this is neither a QTextStream nor a QDataStream.

See also QNPInstance::write() and QNPInstance::newStreamCreated().

## Member Function Documentation

### QNPStream::QNPStream ( QNPInstance * in, const char * mt, _NPStream * st, bool se )

Creates a stream. Plugins should not call this, but rather QNPInstance::newStream() if a stream is required.

Takes a QNPInstance in, mime type mt, a pointer to an _NPStream st and a seekable flag se.

### QNPStream::~QNPStream ()

Destroys the stream.

### bool QNPStream::complete () const

Returns TRUE if the stream has received all the data from the source; otherwise returns FALSE.

### uint QNPStream::end () const

Returns the length of the stream in bytes. Can be 0 for streams of unknown length.

### QNPInstance * QNPStream::instance ()

Returns the QNPInstance for which this stream was created.

### uint QNPStream::lastModified () const

Returns the time when the source of the stream was last modified.

### bool QNPStream::okay () const

Returns TRUE if no errors have occurred on the stream; otherwise returns FALSE.

### void QNPStream::requestRead ( int offset, uint length )

Requests the section of the stream, of length bytes from offset, be sent to the QNPInstance::write() function of the instance() of this stream.

### bool QNPStream::seekable () const

Returns TRUE if the stream is seekable; otherwise returns FALSE.

### const char * QNPStream::type () const

Returns the MIME type of the stream.

### const char * QNPStream::url () const

Returns the URL from which the stream was created.

### int QNPStream::write ( int len, void * buffer )

Writes len bytes from buffer to the stream.

This file is part of the Qt toolkit. Copyright © 1995-2003 Trolltech. All Rights Reserved.